org.apache.solr.client.solrj.io.stream

## Class TextLogitStream

- java.lang.Object
- - org.apache.solr.client.solrj.io.stream.TupleStream
  - - org.apache.solr.client.solrj.io.stream.TextLogitStream

- All Implemented Interfaces:
    Closeable, Serializable, AutoCloseable, Expressible

      public class TextLogitStream
      extends TupleStream
      implements Expressible

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected class` | `TextLogitStream.LogitCall`
    `protected class` | `TextLogitStream.TermsStream`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected SolrClientCache` | `cache`
    `protected CloudSolrClient` | `cloudSolrClient`
    `protected String` | `collection`
    `protected double` | `error`
    `protected ClassificationEvaluation` | `evaluation`
    `protected ExecutorService` | `executorService`
    `protected String` | `field`
    `protected List<Double>` | `idfs`
    `protected boolean` | `isCloseCache`
    `protected int` | `iteration`
    `protected int` | `maxIterations`
    `protected String` | `name`
    `protected String` | `outcome`
    `protected Map<String,String>` | `params`
    `protected int` | `positiveLabel`
    `protected StreamContext` | `streamContext`
    `protected TupleStream` | `termsStream`
    `protected double` | `threshold`
    `protected List<Double>` | `weights`
    `protected String` | `zkHost`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TextLogitStream(StreamExpression expression, StreamFactory factory)` logit(collection, zkHost="", features="a,b,c,d,e,f,g", outcome="y", maxIteration="20")
    `TextLogitStream(String zkHost, String collectionName, Map params, String name, String field, TupleStream termsStream, List<Double> weights, String outcome, int positiveLabel, double threshold, int maxIterations)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<TupleStream>` | `children()`
    `void` | `close()`
    `protected List<String>` | `getShardUrls()`
    `StreamComparator` | `getStreamSort()` Return the stream sort - ie, the order in which records are returned
    `void` | `loadTerms()`
    `void` | `open()` Opens the CloudSolrStream
    `Tuple` | `read()`
    `void` | `setStreamContext(StreamContext context)`
    `Explanation` | `toExplanation(StreamFactory factory)` Returns an explanation about the stream object
    `StreamExpressionParameter` | `toExpression(StreamFactory factory)`

    - ### Methods inherited from class org.apache.solr.client.solrj.io.stream.TupleStream

      `getCost, getStreamNodeId, writeStreamClose, writeStreamOpen`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### zkHost

          protected String zkHost

    - #### collection

          protected String collection

    - #### params

          protected Map<String,String> params

    - #### field

          protected String field

    - #### name

          protected String name

    - #### outcome

          protected String outcome

    - #### positiveLabel

          protected int positiveLabel

    - #### threshold

          protected double threshold

    - #### weights

          protected List<Double> weights

    - #### maxIterations

          protected int maxIterations

    - #### iteration

          protected int iteration

    - #### error

          protected double error

    - #### idfs

          protected List<Double> idfs

    - #### evaluation

          protected ClassificationEvaluation evaluation

    - #### cache

          protected transient SolrClientCache cache

    - #### isCloseCache

          protected transient boolean isCloseCache

    - #### cloudSolrClient

          protected transient CloudSolrClient cloudSolrClient

    - #### streamContext

          protected transient StreamContext streamContext

    - #### executorService

          protected ExecutorService executorService

    - #### termsStream

          protected TupleStream termsStream

  - ### Constructor Detail

    - #### TextLogitStream

          public TextLogitStream(String zkHost,
                                 String collectionName,
                                 Map params,
                                 String name,
                                 String field,
                                 TupleStream termsStream,
                                 List<Double> weights,
                                 String outcome,
                                 int positiveLabel,
                                 double threshold,
                                 int maxIterations)
                          throws IOException

      Throws:
        `IOException`

    - #### TextLogitStream

          public TextLogitStream(StreamExpression expression,
                                 StreamFactory factory)
                          throws IOException

      logit(collection, zkHost="", features="a,b,c,d,e,f,g", outcome="y", maxIteration="20")
      Throws:
        `IOException`

  - ### Method Detail

    - #### toExpression

          public StreamExpressionParameter toExpression(StreamFactory factory)
                                                 throws IOException

      Specified by:
        `toExpression` in interface `Expressible`
      Throws:
        `IOException`

    - #### setStreamContext

          public void setStreamContext(StreamContext context)

      Specified by:
        `setStreamContext` in class `TupleStream`

    - #### open

          public void open()
                    throws IOException

      Opens the CloudSolrStream
      Specified by:
        `open` in class `TupleStream`
      Throws:
        `IOException`

    - #### children

          public List<TupleStream> children()

      Specified by:
        `children` in class `TupleStream`

    - #### getShardUrls

          protected List<String> getShardUrls()
                                       throws IOException

      Throws:
        `IOException`

    - #### close

          public void close()
                     throws IOException

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in class `TupleStream`
      Throws:
        `IOException`

    - #### getStreamSort

          public StreamComparator getStreamSort()

      Return the stream sort - ie, the order in which records are returned
      Specified by:
        `getStreamSort` in class `TupleStream`

    - #### toExplanation

          public Explanation toExplanation(StreamFactory factory)
                                    throws IOException

      Description copied from interface: `Expressible`
      Returns an explanation about the stream object
      Specified by:
        `toExplanation` in interface `Expressible`
      Specified by:
        `toExplanation` in class `TupleStream`
      Parameters:
        `factory` - Stream factory for this, contains information about the function name
      Returns:
        Explanation about this stream object containing explanations of any child stream objects
      Throws:
        `IOException` - throw on any error

    - #### loadTerms

          public void loadTerms()
                         throws IOException

      Throws:
        `IOException`

    - #### read

          public Tuple read()
                     throws IOException

      Specified by:
        `read` in class `TupleStream`
      Throws:
        `IOException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.